//
//  EmailAccountsDataSource.swift
//  Futura2
//
//  Created by student on 07/05/16.
//  Copyright (c) 2016 student. All rights reserved.
//

import UIKit

class EmailAccountsDataSource: NSObject, UITableViewDataSource {

    let data: [EmailAccount]
    
    override init() {
        let gmail = EmailAccount(name: "Gmail", username: "jcavar", password: "asdf", messages: ["Poruka 1", "Poruka 2"], unreadCount: 3)
        let yahoo = EmailAccount(name: "Yahoo", username: "jcavar", password: "qwer", messages: ["asdf dsafd", "xcv xcv xcv"], unreadCount: 0)
        let hotmail = EmailAccount(name: "Hotmail", username: "jcavar", password: "wert", messages: ["message"], unreadCount: 10)
        let accounts = [gmail, yahoo, hotmail]
        self.data = accounts
    }
    
    
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return self.data.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        var cell = tableView.dequeueReusableCellWithIdentifier("Futura") as? AccountTableViewCell
        if cell == nil {
            cell = NSBundle.mainBundle().loadNibNamed("AccountTableViewCell", owner: nil, options: nil).first as? AccountTableViewCell
            //cell = UITableViewCell(style: UITableViewCellStyle.Default, reuseIdentifier: "Futura")
        }
        let account = self.data[indexPath.row]
        //cell?.textLabel?.text = account.name
        cell?.accountTitleLabel.text = account.name
        if account.unreadCount <= 0 {
            cell?.unreadCountLabel.text = ""
        } else {
            cell?.unreadCountLabel.text = String(account.unreadCount)
        }
        return cell!
    }
}










