//
//  ViewController.swift
//  Futura2
//
//  Created by student on 07/05/16.
//  Copyright (c) 2016 student. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate {
    
    @IBOutlet weak var tableView: UITableView!
    let dataSource = EmailAccountsDataSource()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        tableView.dataSource = self.dataSource
        tableView.delegate = self
        self.title = "Mailboxes"
        
        self.navigationItem.rightBarButtonItem = UIBarButtonItem(barButtonSystemItem: UIBarButtonSystemItem.Edit, target: self, action: Selector("editButtonClick"))
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func editButtonClick() {
        
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {

        tableView.deselectRowAtIndexPath(indexPath, animated: true)
        let messagesViewController = self.storyboard?.instantiateViewControllerWithIdentifier("MessagesViewController") as! MessagesViewController
        self.navigationController?.pushViewController(messagesViewController, animated: true)
        print(self.navigationController)
        //self.presentViewController(messagesViewController, animated: true, completion: nil)
    }

}


















